clear all
z0=0;
zf=0.001;
CA0=0.0002229;
CB0=0;
CC0=0.007208;
CT=0.2/(82.057e-3*328);
C0=[CA0 CB0 CC0];
[z,C]=ode45('p708abf',[z0 zf], C0);
xA=C(:,1)/CT;
xB=C(:,2)/CT;
xC=C(:,3)/CT;
plot(z,xA,z,xB,':',z,xC,'-.');
xlabel('z Distance, m'); ylabel('Mole Fraction');
axis([0, 0.001 0 1]);
