function dCdz=p708abf(z,C)
dCdz=zeros(3,1);
NA=2.395e-5;
NB=-3.363e-4;
NC=0;
DAB=1.47e-4;
DBC=1.245e-4;
DAC=1.075E-4;
CA=C(1);
CB=C(2);
CC=C(3);
CT=0.2/(82.057e-3*328);
xA=CA/CT;
xB=CB/CT;
xC=CC/CT;
dCdz(1)=(xA*NB-xB*NA)/DAB+(xA*NC-xC*NA)/DAC;
dCdz(2)=(xB*NA-xA*NB)/DAB+(xB*NC-xC*NB)/DBC;
dCdz(3)=(xC*NA-xA*NC)/DAC+(xC*NB-xB*NC)/DBC;
return