clear all
r0=0;
rf=0.5;
kppa=6.4;
De=0.1;
R=rf;
CA0=0.029315;
CAs=0.2;
eta0=0;
NArr0=0;
x0(1)=CA0;
x0(2)=eta0;
x0(3)=NArr0;
[r,x]=ode45('p705abf',[r0,rf],x0);
n=size(r);
n=n(1,1);
CA=x(:,1);
eta=x(:,2);
NA=x(:,3);
err=CAs-CA(n);
phi=R*(kppa/De)^(1/2);
etacalc=(3/phi^2)*(phi*(1/tanh(phi))-1);
figure(1)
plot(r,CA);
xlabel('r'); ylabel('CA');
axis([r0 rf 0 0.2]);
figure(2)
plot(r,eta, r(n), etacalc,'o');
xlabel('r'); ylabel('eta');
axis([r0 rf 0 1]);
