clear all
t0=0;
tf=2500;
K=1.5;
CA0=6e-3;
C0(1)=0.001125;
C0(2)=0.00125;
C0(3)=0.001375;
C0(4)=0.0015;
C0(5)=0.001615;
C0(6)=0.00175;
C0(7)=0.001825;
[t,C]=ode45('p713abcf',[t0, tf],C0);
CA1=zeros(size(t));
CA9=zeros(size(t));
if(t==0)
    CA1(:)=1e-3;
    CA9(:)=2e-3;
else
    CA1(:)=CA0/K;
    CA9(:)=(4*C(:,7)-C(:,6))/3;
end
plot(t,C(:,2),t,C(:,4),'--',t,C(:,6),':',t,CA9(:),'-.');
xlabel('t'); ylabel('CA');
axis([t0,tf,1.2e-3,4.2e-3]);

